# Operator defaults
allow_rwx_storage: True
cluster_domain: cluster.local
execution_affinity_required: True
opsperator_images_registry: False
pull_policy: IfNotPresent
root_domain: demo.local
scheduling_affinity_required: True
timezone: Europe/Paris

do_affinities: True
do_debugs: False
do_exporters: False
do_hpa: False
do_network_policy: False
do_pdb: False
do_s3: False
do_triggers: False

# ARA
ara_playbook_labels:
- Ci
- Opsperator
- Registry
ara_playbook_name: Registry

# LemonLDAP AuthProxy
authproxy_cpu_limit: 50m
authproxy_cpu_request: 10m
authproxy_memory_limit: 256Mi
authproxy_memory_request: 128Mi
authproxy_tag: 2.4.52-20220918

# OpenShift DeploymentConfigs
deploy_pod_cpu_limit: 50m
deploy_pod_cpu_request: 50m
deploy_pod_memory_limit: 512Mi
deploy_pod_memory_request: 128Mi
deploy_revision_history_limit: 3

# Kubernetes
k8s_affinity_zone_label: kubernetes.io/hostname
k8s_namespace_nodes_selectors:
- kubernetes.io/os=linux
k8s_resource_nodes_selectors: []
k8s_unprivileged_userid: 1000
tls_provider: internalca

# NetworkPolicies
default_namespace_match: default
network_policy_deployment_label: name
network_policy_namespace_label: netpol

# Prometheus Exporters
exporter_cpu_limit: 100m
exporter_cpu_request: 50m
exporter_memory_limit: 128Mi
exporter_memory_request: 64Mi
httpexporter_tag: 1.1.0
prometheus_match: scrape-me
prometheus_namespace_match: prometheus-monitoring
prometheus_s3_label: k8s-s3
prometheus_service_label: k8s-app
registryexporter_tag: 1.0.1

# Registry
registry_cpu_limit: 100m
registry_cpu_request: 20m
registry_data_capacity: 100Gi
registry_do_tls: True
registry_image_source: docker.io/registry
registry_memory_limit: 320Mi
registry_memory_request: 64Mi
registry_replicas: 1
#registry_s3_access_key: ABCD
registry_s3_bucket: registry
registry_s3_flavor: minio
#registry_s3_region: us-east-1
#registry_s3_secret_key: EFGH
registry_tag: 2.8.1

# Console
expose_registry: False
registryconsole_cpu_limit: 100m
registryconsole_cpu_request: 10m
registryconsole_image_source: docker.io/joxit/docker-registry-ui
registryconsole_ldap_user_objectclass: inetOrgPerson
registryconsole_memory_limit: 256Mi
registryconsole_memory_request: 64Mi
registryconsole_replicas: 1
registryconsole_sitename: KubeRegistry
registryconsole_tag: 2.3.3-debian
